Bug 178286 - file-roller segfaults when decompressing archive
file-roller segfaults when decompressing archive
Product: Fedora
Classification: Fedora
Component: file-roller (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2006-01-18 21:03 EST by Ricky Ng-Adam
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-28 13:11:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ricky Ng-Adam 2006-01-18 21:03:47 EST
Description of problem:

even the simplest archive segfault

Version-Release number of selected component (if applicable):

[rngadam@localhost ~]$ rpm -q file-roller

(is this normal?)

How reproducible:


Steps to Reproduce:
1. create archvie
2. extract
Actual results:


Expected results:

decompressed archive

Additional info:

[rngadam@localhost ~]$ touch hello.txt
[rngadam@localhost ~]$ tar cvfz hello.tgz hello.txt
[rngadam@localhost ~]$ gdb file-roller
GNU gdb Red Hat Linux (
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...Using host libthread_db
library "/lib/libthread_db.so.1".

(gdb) run hello.tgz
Starting program: /usr/bin/file-roller hello.tgz
Reading symbols from shared object read from target memory...done.
Loaded system supplied DSO at 0x19f000
[Thread debugging using libthread_db enabled]
[New Thread -1208243328 (LWP 2552)]

(file-roller:2552): Gtk-WARNING **: Theme directory
16x16/status16x16/stock/chart of theme gnome has no size field

Detaching after fork from child process 2555.

(file-roller:2552): Gtk-WARNING **: Theme directory
16x16/status16x16/stock/chart of theme gnome has no size field

[New Thread -1213363296 (LWP 2557)]
[New Thread -1213629536 (LWP 2558)]
[Thread -1213629536 (LWP 2558) exited]
Detaching after fork from child process 2559.

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208243328 (LWP 2552)]
0x0805f988 in dir_contains_one_object (path=0x0) at file-utils.c:140
140             if (strcmp (path, "/") == 0)
(gdb) backtrace
#0  0x0805f988 in dir_contains_one_object (path=0x0) at file-utils.c:140
#1  0x0806d82d in check_child (data=0x811c828) at fr-process.c:765
#2  0x00d6e0f0 in g_source_get_current_time () from /usr/lib/libglib-2.0.so.0
#3  0x00d6da43 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#4  0x00d70a83 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#5  0x00d70e2c in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#6  0x06a87fec in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#7  0x08072c77 in main (argc=Cannot access memory at address 0x2
) at main.c:220
#8  0x00be06b4 in __libc_start_main () from /lib/libc.so.6
#9  0x08053fd1 in _start ()
Comment 1 Rahul Sundaram 2006-02-20 06:27:53 EST

These bugs are being closed since a large number of updates have been released
after the FC5 test1 and test2 releases. Kindly update your system by running yum
update as root user or try out the third and final test version of FC5 being
released in a short while and verify if the bugs are still present on the system
.Reopen or file new bug reports as appropriate after confirming the presence of
this issue. Thanks
Comment 2 Matěj Cepl 2007-01-15 04:00:22 EST
Reporter, could you please confirm that this bug exists even in the current
Fedora Core 6 file-roller? If yes, could you provide some example archive, which
leads to segfault please?
Comment 3 Matthew Miller 2007-04-06 15:09:08 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 4 Ricky Ng-Adam 2007-04-28 13:11:02 EDT
Seems to work fine in FC7 test 4

Note You need to log in before you can comment on or make changes to this bug.